/**************************************************************************
 *  Copyright 2012 KISS Institute for Practical Robotics                  *
 *                                                                        *
 *  This file is part of libkovan.                                        *
 *                                                                        *
 *  libkovan is free software: you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by  *
 *  the Free Software Foundation, either version 2 of the License, or     *
 *  (at your option) any later version.                                   *
 *                                                                        *
 *  libkovan is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *  GNU General Public License for more details.                          *
 *                                                                        *
 *  You should have received a copy of the GNU General Public License     *
 *  along with libkovan. Check the LICENSE file in the project root.      *
 *  If not, see <http://www.gnu.org/licenses/>.                           *
 **************************************************************************/

/*!
 * \file kovan.hpp
 * \author Braden McDorman
 * \copyright KISS Institute for Practical Robotics
 */

/*!
 * \mainpage libkovan Manual
 *
 * \section Introduction
 * libkovan is a set of classes and functions for use with the Kovan robot controller.
 * libkovan was designed to be used with the C and C++ programming languages. This document
 * is aimed towards the C++ programmer.
 * 
 * \section start Getting Started
 * This manual is separated into "Modules". Modules are logical divisions between the features of libkovan.
 * To begin browsing through modules, click on the "Modules" item on the left.
 */

#ifndef _KOVAN_HPP_
#define _KOVAN_HPP_

#include "motors.hpp"
#include "ardrone.hpp"
#include "servo.hpp"
#include "analog.hpp"
#include "digital.hpp"
#include "sensor_logic.hpp"
#include "button.hpp"
#include "camera.hpp"
#include "ir.hpp"
#include "wifi.hpp"
#include "battery.hpp"
#include "create.hpp"
#include "util.hpp"
#include "general.h"
#include "console.hpp"
#include "datalog.hpp"
#include "config.hpp"
#include "accel.hpp"
#include "thread.hpp"

#endif
